Rehost all our dependencies which Bazel fetches on software.frc971.org

This won't get the git repositories or anything like that, but this is
definately progress.

Add a script to rehost easily and safely.  This script won't overwrite
anything already there, which is nice.

Change-Id: I519dbaed50c6d620b300e6ad2e76aa04e062acda
Signed-off-by: Austin Schuh <austin.linux@gmail.com>
diff --git a/tools/rehost.sh b/tools/rehost.sh
new file mode 100755
index 0000000..86ca488
--- /dev/null
+++ b/tools/rehost.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# This script makes it easy to rehost dependencies on software.frc971.org so
+# we are self hosted everywhere consistently.
+
+# ./rehost.sh github.com/bazelbuild/rules_nodejs/releases/download/4.4.6/rules_nodejs-4.4.6.tar.gz
+
+readonly LOCALPATH="$(basename "${1}")"
+
+set -e
+curl -L "https://${1}" -o "${LOCALPATH}"
+
+echo "https://software.frc971.org/Build-Dependencies/${1}"
+
+ssh software.frc971.org mkdir -p "$(dirname "/data/files/frc971/Build-Dependencies/${1}")"
+rsync --progress -v --ignore-existing "${LOCALPATH}" software.frc971.org:"/data/files/frc971/Build-Dependencies/${1}"